Name:           quarry
Version:        0.1.20
Release:        1%{?dist}
Summary:        A multi-purpose board game GUI

Group:          Amusements/Games
License:        GPL
URL:            http://home.gna.org/quarry/
Source0:        http://download.gna.org/quarry/quarry-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  librsvg2-devel
BuildRequires:  scrollkeeper
#Requires:       
Requires(post):         scrollkeeper
Requires(postun):       scrollkeeper

%description
Quarry is a multi-purpose GUI for several board games, at present Go, Amazons
and Reversi. It allows users to play against computer players (third-party
programs, e.g. GNU Go or GRhino) or other humans, view and edit game records.
Future versions will also support Internet game servers and provide certain
features for developers of board game-playing engines for enhancing their
programs.

%prep
%setup -q


%build
%configure --disable-scrollkeeper-update
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# desktop file
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/quarry.desktop

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOC NEWS README THANKS TODO
%{_bindir}/quarry
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/quarry.xml
%{_datadir}/pixmaps/quarry.png
#%{_datadir}/locale/*/LC_MESSAGES/quarry.mo
%{_datadir}/omf/quarry/
%{_datadir}/quarry/


%changelog
* Tue Oct 31 2006 Michel Salim <michel.salim@gmail.com> - 0.1.20-1
- Update to 0.1.20

* Mon Oct  9 2006 Michel Salim <michel.salim@gmail.com> - 0.1.19-2
- Incorporated upstream patch to fix gtp-client string handling

* Sun Oct  8 2006 Michel Salim <michel.salim@gmail.com> - 0.1.19-1
- Update to 0.1.19

* Thu Mar  2 2006 Michel Salim <michel.salim@gmail.com> - 0.1.16-2
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.16-1
- New upstream version

* Sun Sep  4 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-5
- removed references to trademarked names
- packaged modified tarball to prevent trademark infringement

* Fri Aug 19 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-4
- actually use find_lang (Dawid)
- desktop file fixes (Dawid)
- fixed scrollkeeper patch
- add missing BuildRequires on desktop-file-utils

* Thu Aug 18 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-3
- added ******* trademark notice (Jef Spaleta)

* Thu Aug 18 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-2
- added scrollkeeper updates (Dawid Gajownik)
- file listing fixes (Dawid Gajownik)

* Tue Aug 16 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-1
- initial package
